{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "MHCO_ABREVIATION"; 
            externalType = VARCHAR2; 
            name = mhcoAbreviation; 
            valueClassName = NSString; 
            valueType = S; 
            width = 20; 
        }, 
        {
            columnName = "MHCO_CODE"; 
            externalType = VARCHAR2; 
            name = mhcoCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "MHCO_DENOMINATEUR"; 
            externalType = NUMBER; 
            name = mhcoDenominateur; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MHCO_LIBELLE"; 
            externalType = VARCHAR2; 
            name = mhcoLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 100; 
        }, 
        {
            columnName = "MHCO_NUMERATEUR"; 
            externalType = NUMBER; 
            name = mhcoNumerateur; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MHCO_PRIORITE"; 
            externalType = NUMBER; 
            name = mhcoPriorite; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MHCO_SEUIL"; 
            externalType = NUMBER; 
            name = mhcoSeuil; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "MHCO_VALIDITE"; 
            externalType = VARCHAR2; 
            name = mhcoValidite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        mhcoAbreviation, 
        mhcoCode, 
        mhcoDenominateur, 
        mhcoLibelle, 
        mhcoNumerateur, 
        mhcoPriorite, 
        mhcoSeuil, 
        mhcoValidite
    ); 
    className = "org.cocktail.scolaritefwk.serveur.metier.eos.EOScolMaquetteHoraireCode"; 
    classProperties = (
        mhcoAbreviation, 
        mhcoDenominateur, 
        mhcoLibelle, 
        mhcoNumerateur, 
        mhcoPriorite, 
        mhcoSeuil, 
        mhcoValidite
    ); 
    externalName = "SCOLARITE.SCOL_MAQUETTE_HORAIRE_CODE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_javaClientClassName" = "org.cocktail.scolaritefwk.client.metier.eos.EOScolMaquetteHoraireCode"; 
    }; 
    name = "FwkScolarite_ScolMaquetteHoraireCode"; 
    primaryKeyAttributes = (mhcoCode); 
}
